<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMessageFromsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('message_froms', function (Blueprint $table) {
            $table->increments('id');
            $table->string('message_from')->unique();
            $table->string('name');
            $table->string('name_nepali')->nullable();
            $table->LongText('description');
            $table->LongText('description_nepali')->nullable();
            $table->integer('token');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('message_froms');
    }
}
